package org.example;

import org.example.Utils.SqlSafetyGuard;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.sql.SQLException;

/**
 * Hello world!
 *
 */
@SpringBootApplication
public class WebErpApplication {
    private static final Logger log = LoggerFactory.getLogger(WebErpApplication.class);

    public static void main(String[] args) throws SQLException {
        SpringApplication.run(WebErpApplication.class, args);
        log.info("SqlSafetyGuard rule version: {}", SqlSafetyGuard.RULE_VERSION);
        log.debug(String.valueOf("当前类路径：" + WebErpApplication.class.getResource("/").getPath()));
    }
}
